<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/white_bg">

    <ScrollView
        android:layout_above="@id/submit"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:overScrollMode="never">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/back_btn"
                android:layout_width="35sp"
                android:layout_height="35sp"
                android:layout_margin="15dp"
                android:contentDescription="@string/back_button"
                android:padding="5dp"
                android:paddingStart="-15dp"
                android:paddingEnd="0dp"
                android:src="@drawable/arrow_back" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="20dp"
                android:layout_marginBottom="5dp"
                android:fontFamily="@font/nunito_medium"
                android:text="@string/check_your_mail"
                android:textSize="@dimen/_24ssp"
                android:textColor="@color/black" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="5dp"
                android:fontFamily="@font/nunito_regular"
                android:text="@string/please_enter_the_temporary_pin_recieved_at_email_address_at_k_gmail_com"
                android:textSize="@dimen/_18ssp"
                android:textColor="@color/black" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:id="@+id/email_at"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/email"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/nunito_regular"
                    android:layout_marginStart="10dp"
                    tools:text="************57@gmail.com"
                    android:textSize="@dimen/_18ssp"
                    android:textColor="@color/black" />

            </LinearLayout>

            <ImageView
                android:id="@+id/image"
                android:layout_width="@dimen/_140sdp"
                android:layout_height="@dimen/_140sdp"
                android:layout_gravity="center_horizontal"
                android:layout_marginVertical="35sp"
                android:contentDescription="@string/forget_pin" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginBottom="15dp"
                android:fontFamily="@font/nunito_medium"
                android:text="@string/enter_temporary_pin"
                android:textSize="@dimen/_18ssp"
                android:textColor="@color/black" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:weightSum="4"
                android:layout_marginVertical="5dp"
                >

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    >

                    <EditText
                        android:id="@+id/otp_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:layout_centerInParent="true"

                        android:autofillHints="password"
                        android:background="@drawable/otp_box_bg"
                        android:fontFamily="@font/nunito_regular"
                        android:hint="@string/ast"
                        android:inputType="number"
                        android:maxLength="1"
                        android:maxLines="1"
                        android:textAlignment="center"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="@color/black"
                        android:textColorHint="@android:color/darker_gray" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    >

                    <EditText
                        android:id="@+id/otp_2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:autofillHints="password"
                        android:background="@drawable/otp_box_bg"
                        android:fontFamily="@font/nunito_regular"

                        android:hint="@string/ast"

                        android:inputType="number"
                        android:maxLength="1"
                        android:maxLines="1"
                        android:textAlignment="center"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="@color/black"
                        android:textColorHint="@android:color/darker_gray"
                        tools:text="1" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    >

                    <EditText
                        android:id="@+id/otp_3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:autofillHints="password"
                        android:background="@drawable/otp_box_bg"
                        android:fontFamily="@font/nunito_regular"

                        android:hint="@string/ast"

                        android:inputType="number"
                        android:maxLength="1"
                        android:maxLines="1"
                        android:textAlignment="center"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="@color/black"
                        android:textColorHint="@android:color/darker_gray"
                        tools:text="1" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    >

                    <EditText
                        android:id="@+id/otp_4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:autofillHints="password"
                        android:background="@drawable/otp_box_bg"
                        android:fontFamily="@font/nunito_regular"
                        android:hint="@string/ast"

                        android:inputType="number"

                        android:maxLength="1"
                        android:maxLines="1"
                        android:textAlignment="center"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="@color/black"
                        android:textColorHint="@android:color/darker_gray" />
                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_gravity="center_horizontal"
                android:layout_marginVertical="15dp"
                >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/didn_t_your_receive_any_code"
                    android:fontFamily="@font/nunito_regular"
                    android:textColor="@color/black"
                    android:textSize="@dimen/_14ssp"
                    />

                <TextView
                    android:id="@+id/resend_otp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/resend"
                    android:fontFamily="@font/nunito_regular"
                    android:textColor="@color/color_primary"
                    android:textSize="@dimen/_14ssp"
                    android:padding="5dp"
                    />

            </LinearLayout>

        </LinearLayout>

    </ScrollView>

    <com.google.android.material.button.MaterialButton
        android:id="@+id/submit"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:backgroundTint="@color/color_primary"
        android:layout_marginTop="15dp"
        android:layout_marginBottom="25dp"
        android:text="@string/submit"
        android:textColor="@color/white_bg"
        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
        android:textAllCaps="false"
        android:paddingVertical="15dp"
        app:cornerRadius="10dp"

        android:layout_alignParentBottom="true"
        />

</RelativeLayout>